Package org.eclipse.microprofile.openapi.models.tags

## Interface Tag

All Superinterfaces:
  `Constructible`, `Extensible<Tag>`

    public interface Tag
    extends Constructible, Extensible<Tag>

Tag

An object to store metadata to be available in the OpenAPI document.

See Also:
  OpenAPI Specification Tag Object

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default Tag` `description​(String description)` Sets the description property of a Tag instance to the given string.
`default Tag` `externalDocs​(ExternalDocumentation externalDocs)` Sets the externalDocs property of a Tag instance to the given object.
`String` `getDescription()` Returns the description property from a Tag instance.
`ExternalDocumentation` `getExternalDocs()` Returns the externalDocs property from a Tag instance.
`String` `getName()` Returns the name property from a Tag instance.
`default Tag` `name​(String name)` Sets the name property of a Tag instance to the given string.
`void` `setDescription​(String description)` Sets the description property of a Tag instance to the given string.
`void` `setExternalDocs​(ExternalDocumentation externalDocs)` Sets the externalDocs property of a Tag instance to the given object.
`void` `setName​(String name)` Sets the name property of a Tag instance to the given string.

### Methods inherited from interface org.eclipse.microprofile.openapi.models.Extensible

`addExtension, extensions, getExtensions, removeExtension, setExtensions`

### Method Detail

#### getName

    String getName()

Returns the name property from a Tag instance.

Returns:
  the name property from this tag

#### setName

    void setName​(String name)

Sets the name property of a Tag instance to the given string.

Parameters:
  `name` - the name property for this tag

#### name

    default Tag name​(String name)

Sets the name property of a Tag instance to the given string.

Parameters:
  `name` - the name property for this tag
Returns:
  the current Tag instance

#### getDescription

    String getDescription()

Returns the description property from a Tag instance.

Returns:
  the description property from this tag

#### setDescription

    void setDescription​(String description)

Sets the description property of a Tag instance to the given string.

Parameters:
  `description` - the description property for this tag

#### description

    default Tag description​(String description)

Sets the description property of a Tag instance to the given string.

Parameters:
  `description` - the description property for this tag
Returns:
  the current Tag instance

#### getExternalDocs

    ExternalDocumentation getExternalDocs()

Returns the externalDocs property from a Tag instance.

Returns:
  additional external documentation from this tag

#### setExternalDocs

    void setExternalDocs​(ExternalDocumentation externalDocs)

Sets the externalDocs property of a Tag instance to the given object.

Parameters:
  `externalDocs` - additional external documentation for this tag

#### externalDocs

    default Tag externalDocs​(ExternalDocumentation externalDocs)

Sets the externalDocs property of a Tag instance to the given object.

Parameters:
  `externalDocs` - additional external documentation for this tag
Returns:
  the current Tag instance